%global shortname mediafile
Name:           python-mediafile
Version:        0.9.0
Release:        2%{?dist}
Summary:        Elegant audio file tagging in Python

License:        MIT
URL:            https://github.com/beetbox/mediafile
Source0:        %{pypi_source mediafile}
Patch0:         tox-recent-python.diff

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
MediaFile is a simple interface to the metadata tags for many audio file
formats. It wraps Mutagen, a high-quality library for low-level tag
manipulation, with a high-level, format-independent interface for a common set
of tags.}

%description %{_description}

%package -n python3-%{shortname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{shortname}}

Requires:       python3 >= 3.6
Requires:       python-mutagen

%description -n python3-%{shortname} %{_description}

Python 3 version.

%prep
%autosetup -n %{shortname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r -t -e %{toxenv}-test

%build
%pyproject_wheel

%check
%tox -e %{toxenv}-test

%install
%pyproject_install
%pyproject_save_files '*%{shortname}*'

%files -n python3-%{shortname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Fri Nov 11 2022 Michele Baldessari <michele@acksyn.org> - 0.9.0-2
- Increase build to be able to push it into a side-tag
* Mon Aug 15 2022 Michele Baldessari <michele@acksyn.org> - 0.9.0-1
- New package
